summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build_arch_pkg.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-10-16 22:56:17 +0200
committerHolger Levsen <holger@layer-acht.org>2015-10-16 22:56:17 +0200
commitdf1d87363658c2483f61ecc1e583328d8459f15f (patch)
tree474f1bff2bbedcb009934e88e33258e86f3ac0b3 /bin/reproducible_build_arch_pkg.sh
parent09beafedce3f24bcd1ad40a47ef11092e03f46d4 (diff)
downloadjenkins.debian.net-df1d87363658c2483f61ecc1e583328d8459f15f.tar.xz
reproducible arch: fix logic
Diffstat (limited to 'bin/reproducible_build_arch_pkg.sh')
-rwxr-xr-xbin/reproducible_build_arch_pkg.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_build_arch_pkg.sh b/bin/reproducible_build_arch_pkg.sh
index 4356acf7..b3288d94 100755
--- a/bin/reproducible_build_arch_pkg.sh
+++ b/bin/reproducible_build_arch_pkg.sh
@@ -190,7 +190,7 @@ if [ ! -z "$(ls $TMPDIR/b1/$SRCPACKAGE/*.pkg.tar.xz)" ] ; then
echo "$(date -u) - Running $DIFFOSCOPE now..."
cd $TMPDIR/b1/$SRCPACKAGE
for ARTIFACT in *.pkg.tar.xz ; do
- [ ! -f $ARTIFACT ] || continue
+ [ -f $ARTIFACT ] || continue
call_diffoscope $SRCPACKAGE $ARTIFACT
# publish page
if [ -f $TMPDIR/$SRCPACKAGE/$ARTIFACT.html ] ; then